### Enumeration

# Snapd DaemonType

since: 1.9

#### Declaration

    enum Snapd.DaemonType

#### Description [src]

Type of daemon.

Available since: 1.9

#### Members

`SNAPD_DAEMON_TYPE_NONE`

  Not a daemon.

  - Value: `0`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_UNKNOWN`

  Unknown daemon type.

  - Value: `1`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_SIMPLE`

  Simple daemon.

  - Value: `2`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_FORKING`

  Forking daemon.

  - Value: `3`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_ONESHOT`

  One-shot daemon.

  - Value: `4`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_DBUS`

  D-Bus daemon.

  - Value: `5`
  - Available since: 1.9
`SNAPD_DAEMON_TYPE_NOTIFY`

  Notify daemon.

  - Value: `6`
  - Available since: 1.9